package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.AutoMlIns;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface AutoMlInsDao {
    long count(@Param("autoMlIns") AutoMlIns autoMlIns);

    List<AutoMlIns> queryAllByLimit(@Param("autoMlIns") AutoMlIns autoMlIns, @Param("pageable") Pageable pageable);

    List<AutoMlIns> getByAutoMlId(@Param("autoMlId") Long AutoMlId);

    int insert(@Param("autoMlIns") AutoMlIns autoMlIns);

    int update(@Param("autoMlIns") AutoMlIns autoMlIns);

    AutoMlIns queryById(@Param("id") Long id);

    List<AutoMlIns> queryByAutoMlInsIsNotTerminated();
}
